<% title "Human Target" %>

<h2><%= @human_target.name %></h2>

<h3><%= @human_target.email_address %></h3>

<hr />
<h3>Clicks from Emails</h3>
<table class="list">
  <thead>
    <tr>
      <th>Campaign Name</th>
      <th>From IP</th>
      <th>Clicked at</th>
    </tr>
  </thead>
  <tbody>
  <% @visits.each do |v| %>
    <tr>
      <td><%= if (v.email.present?) then v.email.campaign.name else "**Email was Deleted**" end %></td>
      <td><%= v.address %></td>
      <td><%= v.created_at %></td>
    </tr>
  <% end %>
  </tbody>
</table>

<hr />
<h3>Email Openings</h3>
<table class="list">
  <thead>
    <tr>
      <th>Campaign Name</th>
      <th>From IP</th>
      <th>Clicked at</th>
    </tr>
  </thead>
  <tbody>
  <% @openings.each do |v| %>
    <tr>
      <td><%= if (v.email.present?) then v.email.campaign.name else "**Email was Deleted**" end %></td>
      <td><%= v.address %></td>
      <td><%= v.created_at %></td>
    </tr>
  <% end %>
  </tbody>
</table>

<hr />
<h3>Phishing Results</h3>
<% @phishing_results.each do |pr| %>
  <meta name='json-data' content="<%= pr.data %>">
<% end %>
<ul> 
  <script type='text/javascript'>
    function dump(e,t){var n="";if(!t)t=0;var r="";for(var i=0;i<t+1;i++)r+="    ";if(typeof e=="object"){for(var s in e){var o=e[s];if(typeof o=="object"){n+=r+"'"+s+"' ...\n";n+=dump(o,t+1)}else{n+=r+"'"+s+"' => \""+o+'"\n'}}}else{n="===>"+e+"<===("+typeof e+")"}return n}
    jQuery('meta[name=json-data]').each(function(i) {
      document.write('<li><pre>');
      var c = jQuery(this).attr('content');
      document.write(_.escape(dump(jQuery.parseJSON(c))));
      document.write('</pre><hr /></li>');
    })
  </script>
</ul>


